Hoje fui tentar instalar o Banshee e tive a péssima surpresa que ele precisa do GTK+2 versão 2.8, sendo que o meu(e o de todos mortais que usam Slackware 10.1) GTK+2 é versão 2.6.1.


Olhem o erro:

checking for GTK... Requested 'gtk+-2.0 >= 2.8' but version of GTK+ is 2.6.1
configure: error: Package requirements (gtk+-2.0 >= 2.8) were not met:

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTK_CFLAGS
and GTK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Porem não me deixei abater!!!
Como a instalação do novo GTK+2 é demorada, e pior que isso, pode causar conflitos com outros pacotes instalados no sistema.

Vejam só o que eu fiz!

Quando você digita aquele “famigerado” scriptizinho chamado “./configure” ele começa checando as dependências, e para isso ele usa um outro programinha(famigerado tambem) que se chama pkg-config(não confundir com PKGTOOL, que porsinal é um ótimo programa) este, por sua vez, checa os programas e versões instaladas, por meio de arquivos *.pc localizados em /usr/lib/pkgconfig, tchanam!!

A exemplo do gtk+-2.0.pc:

prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
target=x11

gtk_binary_version=2.4.0
gtk_host=i686-pc-linux-gnu

Name: GTK+
Description: GIMP Tool Kit (${target} target)
Version: 2.6.1
Requires: gdk-${target}-2.0 atk
Libs: -L${libdir} -lgtk-${target}-2.0
Cflags: -I${includedir}/gtk-2.0
Viram a linha Version: 2.6.1 ?
Alterando para Version: 2.8.0, eu checo as dependencias novamente, e…

checking for GTK... yes

…a mágica acontece…

* Lembrem-se de copiar o *.pc original, para poder reestabelecer o sistema em caso de falhas.

Dica escrita por: Lucas Saliés Brum

Anúncios

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s